Subject: Re: [PATCH v2 16/22] treewide: remove cache.h inclusion due to previous changes

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Mon, 01 May 2023 18:44:36 +0200

On Sat, Apr 22 2023, Elijah Newren via GitGitGadget wrote:

The "Subject" says "due to previous changes", but...

> From: Elijah Newren <[email-masked]>
>
> Signed-off-by: Elijah Newren <[email-masked]>
> ---
>  archive-zip.c                 | 2 +-
>  bundle-uri.c                  | 2 +-
>  color.c                       | 2 +-
>  combine-diff.c                | 2 +-
>  common-main.c                 | 2 +-
>  config.c                      | 2 +-
>  copy.c                        | 2 +-
>  credential.c                  | 2 +-
>  daemon.c                      | 2 +-
>  date.c                        | 2 +-
>  diagnose.c                    | 2 +-
>  environment.c                 | 2 +-
>  ll-merge.c                    | 2 +-
>  match-trees.c                 | 2 +-
>  midx.c                        | 2 +-
>  object-file.c                 | 2 +-
>  packfile.c                    | 2 +-
>  pkt-line.c                    | 2 +-
>  range-diff.c                  | 2 +-
>  ref-filter.c                  | 2 +-
>  t/helper/test-match-trees.c   | 1 -
>  t/helper/test-mergesort.c     | 1 -
>  t/helper/test-oid-array.c     | 1 -
>  t/helper/test-oidtree.c       | 1 -
>  t/helper/test-parse-options.c | 1 -
>  t/helper/test-read-midx.c     | 1 -
>  t/helper/test-string-list.c   | 1 -
>  tree-diff.c                   | 2 +-
>  tree-walk.c                   | 2 +-
>  tree.c                        | 2 +-
>  wrapper.c                     | 3 ++-
>  31 files changed, 25 insertions(+), 31 deletions(-)
>
> diff --git a/archive-zip.c b/archive-zip.c
> index ef538a90df4..d0d065a312e 100644
> --- a/archive-zip.c
> +++ b/archive-zip.c
> @@ -1,7 +1,7 @@
>  /*
>   * Copyright (c) 2006 Rene Scharfe
>   */
> -#include "cache.h"
> +#include "git-compat-util.h"
>  #include "config.h"
>  #include "archive.h"
>  #include "gettext.h"

I tried making this change before this series was applied, and
everything compiled...

> diff --git a/bundle-uri.c b/bundle-uri.c
> index 6d44662ee1f..ec1552bbca2 100644
> --- a/bundle-uri.c
> +++ b/bundle-uri.c
> @@ -1,4 +1,4 @@
> -#include "cache.h"
> +#include "git-compat-util.h"
>  #include "bundle-uri.h"
>  #include "bundle.h"
>  #include "copy.h"

That's not the case here, but this could instead be squashed into the
05/22 in this series, i.e. as soon as we add this copy.h, we don't need
cache.h anymore.

> diff --git a/color.c b/color.c
> index f8a25ca807b..83abb11eda0 100644
> --- a/color.c
> +++ b/color.c
> @@ -1,4 +1,4 @@
> -#include "cache.h"
> +#include "git-compat-util.h"
>  #include "config.h"
>  #include "color.h"
>  #include "editor.h"

I did not look further, but all of the rest of these look like they'd be
better off squashed into the respective "split this out" commit. I don't
think keeping the "move declarations for ..." as "move-only" commits is
worth it, as opposed to getting rid of this one, and making those
atomic.